#include <stdio.h>

int main(){
	
	int n,dr=0;
	scanf("%d",&n);
	int a[n];
	double p[n];
	
	int i;
	
	for(i=0;i<n;i++){
		scanf("%d%lf",&a[i],&p[i]);
	}
	
	int j;
	double porez=0.,porZD = 0.,maks = 0.;
	
	for(j=0;j<n;j++)
	{
		porez = p[j];
		dr=0;
		for(i=0;i<n;i++)
		{
			if(p[i]>=porez){
				dr += a[i];
			}
		}
		porZD = dr * (porez/100.);
		if(porZD > maks)
			maks = porZD;
	}
	
	printf("%.4lf",maks);
	
	return 0;
}